<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: interface_entity_serial_content_form.class.php,v 1.1.4.2 2025/11/25 15:48:08 dgoron Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class interface_entity_serial_content_form extends interface_entity_record_content_form {
	
    protected function _init_tabs_data() {
        parent::_init_tabs_data();
        // Editeurs & Collection
        $this->_add_tab_data('el2', 'serial_onglet_editeurs');
        // ISBN, EAN ou no. commercial
        $this->_add_tab_data('el30', 'serial_ISSN', '255');
    }
    
    protected function _init_elements_titles_data() {
        //Titre propre
        $this->_add_element_data('f_tit1', 'el0Child_0' , '237');
        // Titre parallèle
        $this->_add_element_data('f_tit3', 'el0Child_1', '239');
        // Complément du titre
        $this->_add_element_data('f_tit4', 'el0Child_2', '240');
    }
    
    protected function _init_elements_code_data() {
        // ISBN, EAN ou no. commercial
        $this->_add_element_data('f_cb', 'el30Child_0', 'serial_ISSN');
    }
}